View a markdown version of this page

GetFixture - AWS Elemental Inference

GetFixture

Retrieves information about the specified fixture (a sports event, such as a specific basketball game). You obtain a fixtureId from SearchFixtures, or from the clipping output of a feed.

Request Syntax

GET /v1/fixtures/fixtureId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

fixtureId

The ID of the fixture to retrieve, as returned by SearchFixtures.

Length Constraints: Minimum length of 1. Maximum length of 128.

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "competitors": [ { "isHome": boolean, "name": "string" } ], "fixtureGroup": "string", "fixtureId": "string", "name": "string", "scheduledStart": "string", "status": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

competitors

An array of the competitors (the teams or individuals) in the fixture.

Type: Array of Competitor objects

Array Members: Minimum number of 0 items. Maximum number of 30 items.

fixtureGroup

The group that the fixture belongs to, such as the competition, league, or tournament. The data source doesn't provide this information for every fixture.

Type: String

fixtureId

The ID that you specified in the request.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

name

The name of the fixture, as provided by the data source. For example, the names of the two competing teams.

Type: String

scheduledStart

The scheduled start time of the fixture, as provided by the data source. The actual start time might differ.

Type: Timestamp

status

The status of the fixture in its lifecycle, as provided by the data source. For example, Scheduled or Completed.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

GatewayTimedOutException

The request timed out before the service returned a response. This is a temporary condition. Retry the request. If the problem persists, contact AWS Support.

HTTP Status Code: 504

InternalServerErrorException

An internal server error occurred. This is a temporary condition and the request can be retried. If the problem persists, contact AWS Support.

HTTP Status Code: 500

ResourceNotFoundException

The resource specified in the action doesn't exist.

HTTP Status Code: 404

ServiceUnavailableException

The service is temporarily unable to handle the request. Retry the request. If the problem persists, contact AWS Support.

HTTP Status Code: 503

TooManyRequestException

The request was denied due to request throttling. Too many requests have been made within a given time period. Reduce the frequency of requests and use exponential backoff when retrying.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check the error message for details about which parameter or field is invalid and correct the request before retrying.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: